Arch Строительная деталь

From FreeCAD Documentation
Revision as of 12:34, 1 December 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Arch: BuildingPart/Строительная деталь

Системное название
Нет
Расположение в меню
Arch → BuildingPart
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
0.18
См. также
Arch Building, Arch Site

Описание

BuildingPart нацелен на замену Arch Floor более способной версией, которая может быть использована не только для создания Floor / Storey / Levels, но и для всех ситуаций, когда необходимо сгруппировать различные объекты Arch / BIM, и эта группа возможно, придется обрабатывать как один объект или реплицировать.

Использование

  1. Optionally, select one or more objects to be included in your new Building Part.
  2. Press the Arch BuildingPart button.

Notes

BuildingParts have a built-in, implicit Arch SectionPlane. introduced in version 0.19

This plane is always parallel to the BuildingPart's base plane, but you can specify the offset between them. So all tools that work with a section plane, such as Draft Shape2DView and TechDraw ArchView also work with BuildingParts.

Options

  • After creating a BuildingPart, you can add more objects to it by dragging and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a BuildingPart by dragging and dropping them out of the Tree View or by using the Arch Remove tool.
  • By double-clicking the BuildingPart object in the tree view, the Working Plane will be set to its location, and the BuildingPart will become active, which means that new objects will be added automatically to it. Double-clicking the BuildingPart again will deactivate it and set the working plane back to its previous position (in version 0.19, to be available this option needs to be set up as true, in View Property panel - Interaction - Double Click Activates).
  • The BuildingPart can display a mark in the 3D view with a label and level indication.
  • When a BuildingPart is moved/rotated, all its children that either have no ДанныеMove With Host property, or have it turned on, will move/rotate together.
  • Building Parts can be Draft Cloned.
  • Building Parts can take any IFC type. Its IFC Type property determines its use. If you set it to Building Storey it will behave as a level. If you set it to Building it behaves as a building, and if you set it to Element Assembly it behaves as an assembly. Its icon will change to reflect this setting, but other than that it has no other impact in FreeCAD. However, being exported to IFC as one or another type can have an impact in other BIM applications.

Properties

Data

  • ДанныеHeight: The height of this object, and of its children objects. The children objects could be, for example, Arch Walls. Each wall's height must be set to 0 (zero), so the height property of the BuildingPart propagates to the objects inside of it.
  • ДанныеLevelOffset: The level of the (0,0,0) point of this level. This value is added to the Placement.Base.z attribute of the BuildingPart, to indicate a vertical offset without actually moving the object. The resulting offset is displayed if ВидShow Level is true.
  • ДанныеArea: The computed floor area of this floor
  • ДанныеIfcType: The IFC type of this object
  • ДанныеDescription: An optional description for this component
  • ДанныеTag: An optional tag for this component
  • ДанныеIfcAttributes: Custom IFC properties and attributes

View

  • ВидLineWidth: The line width of this object
  • ВидOverrideUnit: An optional unit to express levels
  • ВидDisplayOffset: A transformation to apply to the level mark
  • ВидShowLevel: If true, show the level
  • ВидShowUnit: If true, show the unit on the level tag
  • ВидSetWorkingPlane: If true, when activated, the working plane will automatically adapt to this Building Part
  • ВидOriginOffset: If true, when activated, Display offset will affect the origin mark too
  • ВидShowLabel: If true, when activated, the object's label is displayed
  • ВидFontName: The font to be used for texts
  • ВидFontSize: The font size of texts
  • ВидRestoreView: If set, the view stored in this object will be restored on double-click
  • ВидDiffuseColor: The individual face colors

introduced in version 0.19

  • ВидChildrenOverride: If set, the settings below will affect the children of this Building Part
  • ВидChildrenLineWidth: The line width to apply to the children of this Building Part
  • ВидChildrenLineColor: The line color to apply to the children of this Building Part
  • ВидChildrenShapeColor: The shape color to apply to the children of this Building Part
  • ВидChildrenTransparency: The transparency to apply to the children of this Building Part

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The BuildingPart tool can be used in macros and from the Python console by using the following function:

BuildingPart = makeBuildingPart(objectslist=None)
  • Creates a BuildingPart object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()